# Package org.apache.sling.testing.tools.serversetup

Interface Summary
SetupPhase: A single phase of the test server setup

Class Summary
ServerSetup: This is an evolution of the SlingTestBase/JarExecutor combination that we had at revision 1201491, used to control the server side of integration tests.
ServerSetupSingleton: In general we just need a singleton ServerSetup, that uses System properties for its configuration - this class supplies that.
StartRunnableJarPhase: SetupPhase that uses a JarExecutor to start a runnable jar, and stop it at system shutdown if our SetupServer wants that.

Exception Summary
ServerSetup.SetupException